<?php
namespace Teknisa\MAN\Services;

use Doctrine\DBAL\Connection;
use Zeedhi\Framework\DB\StoredProcedure\Param;
use Zeedhi\Framework\DB\StoredProcedure\StoredProcedure;

class ReplicaProdutoFilial extends StoredProcedure {

	public function __construct(Connection $connection, $procedureName = 'REPLICA_PRODUTO_FILIAL') {
        parent::__construct($connection, $procedureName);
	}

    /**
     * @param 
     * @param $params
     * @param $nrorg
     * @return Execução
     */

    public function ExportaProdFili($params){

        $CDFILIORIG  = $params['CDFILIORIG'];
        $CDFILIDEST  = $params['CDFILIDEST'];
        $IDTPFILDEST = $params['IDTPFILDEST'];
        $IDTPCONFPAR = $params['IDTPCONFPAR'];
        $CDPRODINIC  = $params['CDPRODINIC'];
        $CDPRODFINA  = $params['CDPRODFINA'];
        $LISTAPARAM  = $params['LISTAPARAM'];
        
        $this->addParam(new Param('P_CDFILIORIG', Param::PARAM_INPUT , $CDFILIORIG, Param::PARAM_TYPE_STR,   4));
        $this->addParam(new Param('P_CDFILIDEST', Param::PARAM_INPUT , $CDFILIDEST, Param::PARAM_TYPE_STR,   4));
        $this->addParam(new Param('P_IDTPFILDEST', Param::PARAM_INPUT , $IDTPFILDEST, Param::PARAM_TYPE_STR, 1));
        $this->addParam(new Param('P_IDTPCONFPAR', Param::PARAM_INPUT , $IDTPCONFPAR, Param::PARAM_TYPE_INT, 1));
        $this->addParam(new Param('P_CDPRODINIC', Param::PARAM_INPUT , $CDPRODINIC, Param::PARAM_TYPE_STR,  10));
        $this->addParam(new Param('P_CDPRODFINA', Param::PARAM_INPUT , $CDPRODFINA, Param::PARAM_TYPE_STR,  10));
        $this->addParam(new Param('P_LISTAPARAM', Param::PARAM_INPUT , $LISTAPARAM, Param::PARAM_TYPE_STR,  15));
        $this->execute();
        $this->params = array();
        return 'OK';
    }
}